### apaho: using paho.mqtt with asyncio

1. Create a paho client
```python
from paho.mqtt.client import Client
cli = Client()
```

2. Create a wrapper instance
```python
from apaho import AsyncWrapper
wrapper = AsyncWrapper(cli)
```

3. Connect*
```python
await wrapper.connect('localhost')
```
real asynchronous connect is not working yet, so this call will block 

4. Iterate to get messages
```python
async for message in wrapper:
    logging.error("New message: topic=%r, payload=%r", message.topic, message.payload)
```

See `apaho/demo.py` for a complete example.