import argparse
import asyncio
import logging

from apaho import AsyncWrapper
from paho.mqtt.client import Client

logger = logging.getLogger(__name__)


async def main():
    prs = argparse.ArgumentParser()
    prs.add_argument('--host', default='localhost')
    prs.add_argument('--port', default=1883, type=int)

    args = prs.parse_args()

    cli = Client()

    wrapper = AsyncWrapper(cli)

    # synchronous call! sorry!
    await wrapper.connect(args.host, port=args.port)

    cli.subscribe('/#')

    async for message in wrapper:
        logger.error("New message: topic=%r, payload=%r", message.topic, message.payload)


if __name__ == '__main__':
    asyncio.get_event_loop().run_until_complete(main())
